26.09.2023

В GNOME Mutter будет прекращена поддержка старых версий OpenGL

В кодовую базу композитного сервера Mutter, которая будет использована в выпуске GNOME 44, внесены изменения, убирающие поддержку старых версий OpenGL. Для работы Mutter будут необходимы драйверы с поддержкой как минимум OpenGL 3.1. При этом в Mutter будет сохранена поддержка OpenGL ES 2.0, что позволит сохранить возможность работы на старых видеокартах и на GPU, применяемых на ARM-платах. Предполагается, что удаление кода для поддержки устаревших версий OpenGL упрости сопровождение кодовой базы и высвободит ресурсы при тестирование новой функциональности.

В Mesa практически все актуальные драйверы OpenGL удовлетворяют заявленным условиям (поддержка OpenGL 3.1 пока полностью не реализована в драйверах etnaviv (Vivante), vc4 (VideoCore Raspberry Pi), v3d (VideoCore Raspberry Pi), asahi (Apple Silicon) и lima (Mali 400/450)). Предполагается, что старые GPU и ARM-системы, для которых драйверами не обеспечивается поддержка необходимых версий OpenGL, смогут использоваться, так через переключение на применение OpenGL ES 2.0. Например, старые драйверы для GPU Intel Gen3-Gen5, поддерживающие только OpenGL 2.1, смогут использоваться, так как в них доступна и поддержка OpenGL ES 2.0.

Источник: https://www.opennet.ru/opennews/art.shtml?num=58694 Источник.